| OpendTect 8.0

Loading...
Searching...
No Matches
Protected Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
uiObjectBody Class Referenceabstract
uiBase

`#include <uiobjbody.h>`

Inheritance diagram for uiObjectBody:
[legend]

## Protected Member Functions
| uiObjectBody (uiParent *, const char *nm)
virtual uiSize | actualSize (bool include_border=true) const
void | attach (ConstraintType, uiObject *other=nullptr, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *other=nullptr, int margin=-1, bool reciprocal=true)
void | display (bool yn, bool shrink=false, bool maximized=false)
void | doDisplay (CallBacker *)
void | finalize () override
virtual void | finalize_ ()
bool | finalized () const override
void | fontchanged () override
int | fontHeight () const
int | fontWidth (bool max=false) const
int | fontWidthFor (const char *) const
int | fontWidthFor (const uiString &) const
bool | isDisplayed () const
bool | isHidden ()
bool | itemInited () const
const i_LayoutItem * | layoutItem () const
virtual const QWidget * | managewidg_ () const
virtual uiSize | minimumSize () const
i_LayoutItem * | mkLayoutItem (i_LayoutMngr &)
virtual i_LayoutItem * | mkLayoutItem_ (i_LayoutMngr &mngr)
virtual int | nrTxtLines () const
float | prefHeightInCharSet () const
int | prefHNrPics () const
int | prefVNrPics () const
float | prefWidthInCharSet () const
virtual void | reDraw (bool)
void | reParent (uiParentBody *pb)
void | setCaption (const uiString &)
void | setHSzPol (uiObject::SzPolicy)
void | setMaximumHeight (int)
void | setMaximumWidth (int)
void | setMinimumHeight (int)
void | setMinimumWidth (int)
void | setPrefHeight (int)
void | setPrefHeightInChar (float)
void | setPrefWidth (int)
void | setPrefWidthInChar (float)
void | setShrinkAllowed (bool yn)
void | setStretch (int, int)
mOD_DisableCopy(uiObjectBody) public void | setToolTip (const uiString &)
void | setVSzPol (uiObject::SzPolicy)
bool | shrinkAllowed ()
virtual int | stretch (bool, bool retUndef=false) const
uiObject::SzPolicy | szPol (bool hor=true) const
OD::Color | uibackgroundColor () const
bool | uiCloseOK ()
const uiFont * | uifont () const
bool | uihasFocus () const
virtual uiObject & | uiObjHandle ()=0
bool | uisensitive () const
void | uisetBackgroundColor (const OD::Color &)
void | uisetBackgroundPixmap (const uiPixmap &)
void | uisetCaption (const uiString &capt)
void | uisetFocus ()
void | uisetFont (const uiFont &)
void | uisetSensitive (bool yn=true)
void | uisetTextColor (const OD::Color &)
bool | uivisible () const
Protected Member Functions inherited from uiBody
| uiBody ()
virtual const QWidget * | qwidget_ () const =0
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
int | hstretch_ = mUdf(int)
int | vstretch_ = mUdf(int)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Private Member Functions
void | getSzHint ()
void | gtFntWdtHgt () const
void | itemDelCB (CallBacker *)

## Private Attributes
bool | allowshrnk_ = false
bool | display_ = true
bool | display_maximized_ = false
Timer * | displaytimer_ = nullptr
bool | finalized_ = false
int | fnt_hgt_ = 0
int | fnt_maxwdt_ = 0
int | fnt_wdt_ = 0
const uiFont * | font_ = nullptr
uiObject::SzPolicy | hszpol_ = uiObject::Undef
bool | is_hidden_ = false
i_LayoutItem * | layoutitem_ = nullptr
uiParentBody * | parent_
float | pref_char_height_ = -1.f
float | pref_char_width_ = -1.f
int | pref_height_ = 0
int | pref_height_hint_ = 0
int | pref_height_set_ = -1
int | pref_width_ = 0
int | pref_width_hint_ = 0
int | pref_width_set_ = -1
uiObject::SzPolicy | vszpol_ = uiObject::Undef

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Member Functions inherited from uiBody
virtual | ~uiBody ()
virtual void | clear ()
| mOD_DisableCopy (uiBody) virtual void final ize()
QWidget * | qwidget ()
| can return 0
const QWidget * | qwidget () const
| can return 0
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiObjectBody()

uiObjectBody::uiObjectBody | ( | uiParent * | ,
|  | const char * | nm )
| protected

## Member Function Documentation

## ◆ actualSize()

virtual uiSize uiObjectBody::actualSize | ( | bool | include_border = true | ) | const
| protected virtual

Beware! this is during layout only use uiObject::width() and height() for 'live' objs

## ◆ attach() [1/2]

void uiObjectBody::attach | ( | ConstraintType | ,
|  | uiObject * | other = nullptr,
|  | int | margin = -1,
|  | bool | reciprocal = true )
| protected

## ◆ attach() [2/2]

void uiObjectBody::attach | ( | ConstraintType | ,
|  | uiParent * | other = nullptr,
|  | int | margin = -1,
|  | bool | reciprocal = true )
| protected

## ◆ display()

void uiObjectBody::display | ( | bool | yn,
|  | bool | shrink = false,
|  | bool | maximized = false )
| protected

## ◆ doDisplay()

void uiObjectBody::doDisplay | ( | CallBacker * |  | ) |
| protected

## ◆ finalize()

void uiObjectBody::finalize | ( |  | ) |
| override protected

## ◆ finalize_()

virtual void uiObjectBody::finalize_ | ( |  | ) |
| inline protected virtual

## ◆ finalized()

bool uiObjectBody::finalized | ( |  | ) | const
| inline override protected virtual

Reimplemented from uiBody.

## ◆ fontchanged()

void uiObjectBody::fontchanged | ( |  | ) |
| override protected virtual

Reimplemented from uiBody.

## ◆ fontHeight()

int uiObjectBody::fontHeight | ( |  | ) | const
| protected

## ◆ fontWidth()

int uiObjectBody::fontWidth | ( | bool | max = false | ) | const
| protected

## ◆ fontWidthFor() [1/2]

int uiObjectBody::fontWidthFor | ( | const char * |  | ) | const
| protected

## ◆ fontWidthFor() [2/2]

int uiObjectBody::fontWidthFor | ( | const uiString & |  | ) | const
| protected

## ◆ getSzHint()

void uiObjectBody::getSzHint | ( |  | ) |
| private

## ◆ gtFntWdtHgt()

void uiObjectBody::gtFntWdtHgt | ( |  | ) | const
| private

## ◆ isDisplayed()

bool uiObjectBody::isDisplayed | ( |  | ) | const
| inline protected

## ◆ isHidden()

bool uiObjectBody::isHidden | ( |  | ) |
| inline protected

## ◆ itemDelCB()

void uiObjectBody::itemDelCB | ( | CallBacker * |  | ) |
| private

## ◆ itemInited()

bool uiObjectBody::itemInited | ( |  | ) | const
| protected

## ◆ layoutItem()

const i_LayoutItem * uiObjectBody::layoutItem | ( |  | ) | const
| inline protected

## ◆ managewidg_()

virtual const QWidget * uiObjectBody::managewidg_ | ( |  | ) | const
| inline protected virtual

## ◆ minimumSize()

virtual uiSize uiObjectBody::minimumSize | ( |  | ) | const
| inline protected virtual

Reimplemented in ui3DViewerBody.

## ◆ mkLayoutItem()

i_LayoutItem * uiObjectBody::mkLayoutItem | ( | i_LayoutMngr & |  | ) |
| protected

## ◆ mkLayoutItem_()

virtual i_LayoutItem * uiObjectBody::mkLayoutItem_ | ( | i_LayoutMngr & | mngr | ) |
| protected virtual

## ◆ nrTxtLines()

virtual int uiObjectBody::nrTxtLines | ( |  | ) | const
| inline protected virtual

## ◆ prefHeightInCharSet()

float uiObjectBody::prefHeightInCharSet | ( |  | ) | const
| protected

## ◆ prefHNrPics()

int uiObjectBody::prefHNrPics | ( |  | ) | const
| protected

## ◆ prefVNrPics()

int uiObjectBody::prefVNrPics | ( |  | ) | const
| protected

## ◆ prefWidthInCharSet()

float uiObjectBody::prefWidthInCharSet | ( |  | ) | const
| protected

## ◆ reDraw()

virtual void uiObjectBody::reDraw | ( | bool |  | ) |
| protected virtual

## ◆ reParent()

void uiObjectBody::reParent | ( | uiParentBody * | pb | ) |
| inline protected

## ◆ setCaption()

void uiObjectBody::setCaption | ( | const uiString & |  | ) |
| protected

## ◆ setHSzPol()

void uiObjectBody::setHSzPol | ( | uiObject::SzPolicy |  | ) |
| protected

## ◆ setMaximumHeight()

void uiObjectBody::setMaximumHeight | ( | int |  | ) |
| protected

## ◆ setMaximumWidth()

void uiObjectBody::setMaximumWidth | ( | int |  | ) |
| protected

## ◆ setMinimumHeight()

void uiObjectBody::setMinimumHeight | ( | int |  | ) |
| protected

## ◆ setMinimumWidth()

void uiObjectBody::setMinimumWidth | ( | int |  | ) |
| protected

## ◆ setPrefHeight()

void uiObjectBody::setPrefHeight | ( | int |  | ) |
| protected

## ◆ setPrefHeightInChar()

void uiObjectBody::setPrefHeightInChar | ( | float |  | ) |
| protected

## ◆ setPrefWidth()

void uiObjectBody::setPrefWidth | ( | int |  | ) |
| protected

## ◆ setPrefWidthInChar()

void uiObjectBody::setPrefWidthInChar | ( | float |  | ) |
| protected

## ◆ setShrinkAllowed()

void uiObjectBody::setShrinkAllowed | ( | bool | yn | ) |
| inline protected

## ◆ setStretch()

void uiObjectBody::setStretch | ( | int | ,
|  | int | )
| protected

## ◆ setToolTip()

mOD_DisableCopy(uiObjectBody) public void uiObjectBody::setToolTip | ( | const uiString & |  | ) |
| protected

## ◆ setVSzPol()

void uiObjectBody::setVSzPol | ( | uiObject::SzPolicy |  | ) |
| protected

## ◆ shrinkAllowed()

bool uiObjectBody::shrinkAllowed | ( |  | ) |
| inline protected

## ◆ stretch()

virtual int uiObjectBody::stretch | ( | bool | ,
|  | bool | retUndef = false ) const
| protected virtual

## ◆ szPol()

uiObject::SzPolicy uiObjectBody::szPol | ( | bool | hor = true | ) | const
| inline protected

## ◆ uibackgroundColor()

OD::Color uiObjectBody::uibackgroundColor | ( |  | ) | const
| protected

## ◆ uiCloseOK()

bool uiObjectBody::uiCloseOK | ( |  | ) |
| inline protected

## ◆ uifont()

const uiFont * uiObjectBody::uifont | ( |  | ) | const
| protected

## ◆ uihasFocus()

bool uiObjectBody::uihasFocus | ( |  | ) | const
| protected

## ◆ uiObjHandle()

virtual uiObject & uiObjectBody::uiObjHandle | ( |  | ) |
| protected pure virtual

Implemented in uiObjBodyImpl< C, T >, OD3DViewer, and ui3DViewerBody.

## ◆ uisensitive()

bool uiObjectBody::uisensitive | ( |  | ) | const
| protected

## ◆ uisetBackgroundColor()

void uiObjectBody::uisetBackgroundColor | ( | const OD::Color & |  | ) |
| protected

## ◆ uisetBackgroundPixmap()

void uiObjectBody::uisetBackgroundPixmap | ( | const uiPixmap & |  | ) |
| protected

## ◆ uisetCaption()

void uiObjectBody::uisetCaption | ( | const uiString & | capt | ) |
| inline protected

## ◆ uisetFocus()

void uiObjectBody::uisetFocus | ( |  | ) |
| protected

## ◆ uisetFont()

void uiObjectBody::uisetFont | ( | const uiFont & |  | ) |
| protected

## ◆ uisetSensitive()

void uiObjectBody::uisetSensitive | ( | bool | yn = true | ) |
| protected

## ◆ uisetTextColor()

void uiObjectBody::uisetTextColor | ( | const OD::Color & |  | ) |
| protected

## ◆ uivisible()

bool uiObjectBody::uivisible | ( |  | ) | const
| protected

## Member Data Documentation

## ◆ allowshrnk_

bool uiObjectBody::allowshrnk_ = false
| private

## ◆ display_

bool uiObjectBody::display_ = true
| private

## ◆ display_maximized_

bool uiObjectBody::display_maximized_ = false
| private

## ◆ displaytimer_

Timer* uiObjectBody::displaytimer_ = nullptr
| private

## ◆ finalized_

bool uiObjectBody::finalized_ = false
| private

## ◆ fnt_hgt_

int uiObjectBody::fnt_hgt_ = 0
| private

## ◆ fnt_maxwdt_

int uiObjectBody::fnt_maxwdt_ = 0
| private

## ◆ fnt_wdt_

int uiObjectBody::fnt_wdt_ = 0
| private

## ◆ font_

const uiFont* uiObjectBody::font_ = nullptr
| private

## ◆ hstretch_

int uiObjectBody::hstretch_ = mUdf(int)
| protected

## ◆ hszpol_

uiObject::SzPolicy uiObjectBody::hszpol_ = uiObject::Undef
| private

## ◆ is_hidden_

bool uiObjectBody::is_hidden_ = false
| private

## ◆ layoutitem_

i_LayoutItem* uiObjectBody::layoutitem_ = nullptr
| private

## ◆ parent_

uiParentBody* uiObjectBody::parent_
| private

## ◆ pref_char_height_

float uiObjectBody::pref_char_height_ = -1.f
| private

## ◆ pref_char_width_

float uiObjectBody::pref_char_width_ = -1.f
| private

## ◆ pref_height_

int uiObjectBody::pref_height_ = 0
| private

## ◆ pref_height_hint_

int uiObjectBody::pref_height_hint_ = 0
| private

## ◆ pref_height_set_

int uiObjectBody::pref_height_set_ = -1
| private

## ◆ pref_width_

int uiObjectBody::pref_width_ = 0
| private

## ◆ pref_width_hint_

int uiObjectBody::pref_width_hint_ = 0
| private

## ◆ pref_width_set_

int uiObjectBody::pref_width_set_ = -1
| private

## ◆ vstretch_

int uiObjectBody::vstretch_ = mUdf(int)
| protected

## ◆ vszpol_

uiObject::SzPolicy uiObjectBody::vszpol_ = uiObject::Undef
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025